## org.apache.lucene.spatial.geometry
Class LatLng

    java.lang.Object
      org.apache.lucene.spatial.geometry.LatLng

Direct Known Subclasses:
  FixedLatLng, FloatLatLng

Deprecated.

    @Deprecated
    public abstract class LatLng

extends Object

Abstract base lat-lng class which can manipulate fixed point or floating point based coordinates. Instances are immutable.

See Also:
  `

  NOTE: This API is still in flux and might change in incompatible ways in the next release.

  `

Constructor Summary
`LatLng()` Deprecated.

Method Summary
`double` `arcDistance(LatLng ll2)` Deprecated. Calculates the distance between two lat/lng's in miles.
`double` `arcDistance(LatLng ll2, DistanceUnits lUnits)` Deprecated. Calculates the distance between two lat/lng's in miles or meters.
`abstract LatLng` `calculateMidpoint(LatLng other)` Deprecated. Calculate the midpoint between this point an another.
`abstract LatLng` `copy()` Deprecated.
`abstract boolean` `equals(Object obj)` Deprecated.
`static LatLng` `fromCartesian(CartesianPoint pt)` Deprecated. The inverse of toCartesian().
`abstract int` `getFixedLat()` Deprecated.
`abstract int` `getFixedLng()` Deprecated.
`abstract double` `getLat()` Deprecated.
`abstract double` `getLng()` Deprecated.
`abstract int` `hashCode()` Deprecated.
`abstract boolean` `isFixedPoint()` Deprecated.
`abstract boolean` `isNormalized()` Deprecated.
`abstract LatLng` `normalize()` Deprecated.
`CartesianPoint` `toCartesian()` Deprecated. Convert the lat/lng into the cartesian coordinate plane such that all world coordinates are represented in the first quadrant.
`abstract FixedLatLng` `toFixed()` Deprecated.
`abstract FloatLatLng` `toFloat()` Deprecated.
`String` `toString()` Deprecated.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LatLng

    public LatLng()

  Deprecated.

Method Detail

### isNormalized

    public abstract boolean isNormalized()

  Deprecated.

### isFixedPoint

    public abstract boolean isFixedPoint()

  Deprecated.

### normalize

    public abstract LatLng normalize()

  Deprecated.

### getFixedLat

    public abstract int getFixedLat()

  Deprecated.

### getFixedLng

    public abstract int getFixedLng()

  Deprecated.

### getLat

    public abstract double getLat()

  Deprecated.

### getLng

    public abstract double getLng()

  Deprecated.

### copy

    public abstract LatLng copy()

  Deprecated.

### toFixed

    public abstract FixedLatLng toFixed()

  Deprecated.

### toFloat

    public abstract FloatLatLng toFloat()

  Deprecated.

### toCartesian

    public CartesianPoint toCartesian()

  Deprecated.
  Convert the lat/lng into the cartesian coordinate plane such that all world coordinates are represented in the first quadrant. The x dimension corresponds to latitude and y corresponds to longitude. The translation starts with the normalized latlng and adds 180 to the latitude and 90 to the longitude (subject to fixed point scaling).

### fromCartesian

    public static LatLng fromCartesian(CartesianPoint pt)

  Deprecated.
  The inverse of toCartesian(). Always returns a FixedLatLng.

  Parameters:
    `pt` -

### arcDistance

    public double arcDistance(LatLng ll2)

  Deprecated.
  Calculates the distance between two lat/lng's in miles. Imported from mq java client.

  Parameters:
    `ll2` - Second lat,lng position to calculate distance to.
  Returns:
    Returns the distance in miles.

### arcDistance

    public double arcDistance(LatLng ll2,
                              DistanceUnits lUnits)

  Deprecated.
  Calculates the distance between two lat/lng's in miles or meters. Imported from mq java client. Variable references changed to match.

  Parameters:
    `ll2` - Second lat,lng position to calculate distance to.
    `lUnits` - Units to calculate distance, defaults to miles
  Returns:
    Returns the distance in meters or miles.

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `Object`

### calculateMidpoint

    public abstract LatLng calculateMidpoint(LatLng other)

  Deprecated.
  Calculate the midpoint between this point an another. Respects fixed vs floating point

  Parameters:
    `other` -

### hashCode

    public abstract int hashCode()

  Deprecated.
  Overrides:
    `hashCode` in class `Object`

### equals

    public abstract boolean equals(Object obj)

  Deprecated.
  Overrides:
    `equals` in class `Object`